using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AJAXCore.Models {
  public class State {
    [Key]
    [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int ID { get; set; }

    [Required]
    [Column(TypeName = "char(2)")]
    [StringLength(2)]
    public string Country { get; set; }

    [Column(TypeName = "varchar(128)")]
    [StringLength(128)]
    public string Name { get; set; }

    [Column(TypeName = "nvarchar(128)")]
    [StringLength(128)]
    public string LocalName { get; set; }
  }
}
